Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Gimmix is a GTK2 based graphical client for the Music Player Daemon 
Name:		gimmix
Version:	0.4.2
Release:	1
License:	GNU/GPL 
URL:		http://gimmix.berlios.de
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkg-config taglib-devel libxml2-devel cairo-devel libX11-devel
BuildRequires:	gtk2+-devel glib-devel atk-devel pango-devel libglade-devel
BuildRequires:	libmpd-devel

%description
Gimmix is a graphical Music player daemon (MPD) client written in C
using GTK+2.

Features:
=========
* Simple and Clean Interface.
* Library Browser.
* Library search. (search by artist, album, filename, etc)
* Playlist management (manage mpd playlists)
* ID3v2 tag editing support.
* System tray icon support.
* Support for controlling gimmix through Keyboard.
* Notification support (Displays the currently playing song in systray).
* Small memory footprint.


%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --mandir=%_mandir
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
#mkdir -p %{buildroot}%{_datadir}/applications
#install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_datadir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.2-1
- version update
* Sun Apr 01 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.1-1
- Version Update
* Fri Jan 26 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1-1
- Initial Release
